/* Java */

import java.io.*;
import java.util.Arrays;

public class keyboard {

    private static final String FILE_NAME = "keyboard";

    private static int[][] memory;

    public static void main(String[] args) throws IOException {
        BufferedReader in = new BufferedReader(new FileReader(FILE_NAME + ".in"));
        PrintWriter pw = new PrintWriter(new FileWriter(FILE_NAME + ".out"));
        int result = 0;

        char[] sequence = in.readLine().toCharArray();
        char[] subSequence = in.readLine().toCharArray();

        memory = new int[sequence.length][subSequence.length];
        for (int i = 0; i < memory.length; i++) {
            Arrays.fill(memory[i], -1);
        }

        result = countShutdowns(sequence, subSequence, 0,0);

        pw.println(result);
        pw.close();
        in.close();
    }

    private static int countShutdowns(char[] seq, char[] sub, int seqIndex, int subIndex) {
        int seqLength = seq.length - seqIndex;
        int subLength = sub.length - subIndex;

        if (seqLength == 0 & subLength == 0) {
            return 0;
        } else if (seqLength > 0 && subLength == 0){
            return 1;
        } else if (seqLength == 0 && subLength > 0) {
            // OOPS! How is that even possible?
            // System.err.println("Impossible case");
            // System.err.println("sequence.length == 0 && subSequence.length != 0");
            // System.err.println("Indexes: " + seqIndex + " " + subIndex);
            // System.err.println("Length: " + seqLength + " " + subLength);
            // throw new AssertionError();
            return Integer.MAX_VALUE;
        } else {
            if (memory[seqIndex][subIndex] != -1) {
                return memory[seqIndex][subIndex];
            }

            char targetChar = sub[subIndex];
            int minShutdowns = Integer.MAX_VALUE;
            int shutdowns;

            for (int i = seqIndex; i < seq.length; i++) {
                if (seq[i] == targetChar) {
                    shutdowns = countShutdowns(seq, sub, i+1, subIndex+1);

                    if (shutdowns == Integer.MAX_VALUE) {
                        // Skip such cases
                        continue;
                    }

                    if (i != seqIndex) {
                        shutdowns++;
                    }

                    if (shutdowns < minShutdowns) {
                        minShutdowns = shutdowns;
                    }
                }
            }

            memory[seqIndex][subIndex] = minShutdowns;

            return minShutdowns;
        }
    }

}
